Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.acl
Class PasswordRecordTemplate

    java.lang.Object
      com.knowgate.acl.PasswordRecordTemplate

    public class PasswordRecordTemplate

extends java.lang.Object

Password Record Template

A password record template is a plain text file which contains one line for each password record field.
Each field line has three columns delimited by a vertical pipe: id|type|label
The id column is the internal name for the field.
The type column is a single character that can have one of the following values:

! | Type Name
$ | Type Text
# | Type Date
* | Type Password
% | Type Integer
@ | Type e-Mail
& | Type URL
~ | Type Postal Address
/ | Type Binary

Constructor Summary
`PasswordRecordTemplate()`

Method Summary
`PasswordRecord` | `createRecord()` Create a new password record for this template
`java.lang.String` | `getName()`
`char` | `getTypeOf(java.lang.String sLineId)`
`java.util.ArrayList<PasswordRecordLine>` | `lines()`
`void` | `load(java.lang.String sFilePath)` Load template from UTF-8 text file
`void` | `parse(java.lang.String sText)` Parse template from string
`void` | `store(java.lang.String sFilePath)` Store template into a text file encoded in UTF-8 character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordRecordTemplate

    public PasswordRecordTemplate()

Method Detail

### getName

    public java.lang.String getName()

### getTypeOf

    public char getTypeOf(java.lang.String sLineId)

### createRecord

    public PasswordRecord createRecord()

  Create a new password record for this template

### lines

    public java.util.ArrayList<PasswordRecordLine> lines()

### parse

    public void parse(java.lang.String sText)
               throws java.lang.NullPointerException

  Parse template from string

  Throws:
    `java.lang.NullPointerException`

### load

    public void load(java.lang.String sFilePath)
              throws java.net.MalformedURLException,
                     com.enterprisedt.net.ftp.FTPException,
                     java.io.FileNotFoundException,
                     java.io.IOException

  Load template from UTF-8 text file

  Parameters:
    `File` - Path including protocol, for example: file:///tmp/template1.txt
  Throws:
    `java.net.MalformedURLException`
    `com.enterprisedt.net.ftp.FTPException`
    `java.io.IOException`
    `java.io.FileNotFoundException`

### store

    public void store(java.lang.String sFilePath)
               throws java.net.MalformedURLException,
                      com.enterprisedt.net.ftp.FTPException,
                      java.io.IOException

  Store template into a text file encoded in UTF-8 character set

  Parameters:
    `File` - Path including protocol, for example: file:///tmp/template1.txt
  Throws:
    `java.net.MalformedURLException`
    `com.enterprisedt.net.ftp.FTPException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD